Welcome, Guest. Please login or register.
Amiga Kit Amiga Store Iridium Banner AMIStore App Store A1200/A600 4xIDE Interface

AuthorTopic: A2000 Blizzard 060 3.5 to 3.9 upgrading problems  (Read 338 times)

0 Members and 1 Guest are viewing this topic.

Online cehofer

  • Full Member
  • ***
  • Join Date: Jan 2009
  • Posts: 176
  • Country: us
  • Total likes: 5
  • Gender: Male
A2000 Blizzard 060 3.5 to 3.9 upgrading problems
« on: May 10, 2022, 06:20:34 AM »
My Amiga 2000 with an 060 blizzard 132MB Ram and the 2Mb Mega chip, scsi hd off the blizzard.  It was running fine with ROM3.1 and 3.5.  So I tried to upgrade it from 3.5 to 3.9.  It worked and booted but whenever I click on any of the system icons ie any prefs, I get a Software 80000004 error.  I tried doing the full install and the same thing.  I cannot even format a floppy from Workbench without it throwing the 80000004 error.  I know that is a CPU error

Any ideas how I can fix this or should I go back to 3.5?
 

Offline Jope

Re: A2000 Blizzard 060 3.5 to 3.9 upgrading problems
« Reply #1 on: May 10, 2022, 11:16:38 AM »
Are the CPU libs still installed correctly?
 

Online cehofer

  • Full Member
  • ***
  • Join Date: Jan 2009
  • Posts: 176
  • Country: us
  • Total likes: 5
  • Gender: Male
Re: A2000 Blizzard 060 3.5 to 3.9 upgrading problems
« Reply #2 on: May 10, 2022, 01:49:21 PM »
As far as I can tell.  The 68060.library version 2.2 which is from the Blizzard floppy is still there.   With my A4000 if those are missing, it won't boot at all especially the 040 dummy lib.   Maybe I should double check with that floppy.  I was trying to see if I had a newer version of the 060 library.  I will dig out my Blizzard docs too.

It acts like an 060.  When it boots, I get that cycle of rainbow colors and it reboots again and comes to Workbench.  Showconfig shows I have an 060 processor.  It acts like the exec.lib maybe wrong because I believe that handles all the system stuff that errors?

I figured this should be a slam dunk.  Just use the option of upgrading 3.5 to 3.9.   When I try to apply BB1, it gets stuck at 40% updating.  I see no disk activity.  I left it for over an hour.  After I installed 3.9 natively, BB1 the "Installer" throws that 80000004 error.
 

Online cehofer

  • Full Member
  • ***
  • Join Date: Jan 2009
  • Posts: 176
  • Country: us
  • Total likes: 5
  • Gender: Male
Re: A2000 Blizzard 060 3.5 to 3.9 upgrading problems
« Reply #3 on: May 10, 2022, 02:43:07 PM »
Update:  All fixed.  I double checked the 060 library.  I had 68060.library version 2.2 before I upgraded.  The Blizzard floppy had version 43.1.  I copied the originals over and all seems to be good now.  I successfully applied BB1 & BB2.